Website
Dashboard
Website
Dashboard
  • πŸ‘‰ Welcome
  • 🧐 How to set up an account
  • πŸ“ˆ Monitoring and analytics
  • πŸ” Introducing coins vs tokens
  • πŸ‘¨β€πŸ’Ό The meaning of owning crypto
  • πŸ’° Wallets
  • πŸ“œ Supported Blockchains
  • GITHUB
    • 🐘 SDK PHP
    • πŸ“ SDK Python
    • πŸ‘¨β€πŸ’» SDK GOLANG
    • ✳️ SDK NODE JS
    • ✳️ PHP Wallet
  • API REFERENCE
    • Bitcoin
      • πŸ” Info
        • 🧐 Check BTC node health
        • πŸ“œ Get latest Bitcoin block
      • πŸ†Ž Block
        • πŸ“ˆ Get Bitcoin block by height
        • πŸ‘¨β€πŸ’» Get Bitcoin block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Bitcoin transaction by hash
        • πŸ“ Send pre-signed raw Bitcoin transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ’° List BTC addresses managed by node wallet
        • πŸ†Ž Get BTC received amount for address
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Ethereum
      • πŸ” Info
        • 🧐 Check ETH node health
        • πŸ“œ Get latest Ethereum block
      • πŸ†Ž Block
        • πŸ“ˆ Get Ethereum block by height
        • πŸ‘¨β€πŸ’» Get Ethereum block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Ethereum transaction by hash
        • πŸ‘¨β€πŸ’» Get Ethereum transaction receipt by hash
        • πŸ“ Send pre-signed raw Ethereum transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ” List ETH accounts managed by node
        • πŸ†Ž Get ETH balance for address
        • πŸ†Ž Get transaction count (nonce) for address
        • πŸ‘‰ Estimate gas for transaction
        • πŸ“‘ Read-only contract call (eth_call)
        • πŸ‘¨β€πŸ’Ό Send transaction from node-managed account
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Tron
      • πŸ” Info
        • πŸ“‘ Get TRX node info
        • 🧐 Check Tron node health
      • πŸ†Ž Block
        • πŸ“œ Get latest Tron block
        • πŸ“œ Get latest N blocks
        • 🟠 Get block by number
        • πŸ‘¨β€πŸ’» Get block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get transaction by hash
        • πŸ†Ž Get all transactions for an address
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ†Ž Validate a Tron address
        • πŸ” Get account information
        • πŸ’° Get account balance
        • πŸ†Ž Create a new Tron address
        • πŸ’΅ Generate a private key from a mnemonic
        • πŸ“Š Send TRX from one address to another
        • πŸ“Š Send USDT (TRC20) from one address to another
      • ✳️ Webhooks
        • πŸ‘¨β€πŸ“œ List webhooks
        • 🧐 Create webhook
        • πŸ‘‰ Get webhook
        • πŸ‘¨β€πŸ” Update webhook
        • ❌ Delete webhook
      • πŸ“Š Schemas
      • πŸ” JSON-RPC

πŸ‘¨β€πŸ’» Get transaction by hash

Code samples

GET /api/v1/trx/transactions/{hash}

Returns details for a specific TRX transaction by its hash.

πŸ› οΈ Parameters

NameInTypeRequiredDescription
hashpathstringtruenone

Example responses

200 Response

{
  "tx_id": "string",
  "amount": "string",
  "block_number": 0,
  "block_timestamp": 0,
  "from": "string",
  "to": "string",
  "token_symbol": "string",
  "token_decimals": 0,
  "contract_address": "string",
  "contract_type": "string",
  "fee": 0,
  "result": "string",
  "raw_data": {},
  "@timestamp": "2025-07-23T15:16:00Z"
}

πŸ” Responses

StatusMeaningDescriptionSchema
200OKTransaction detailsInline
500Internal Server ErrorCould not connect to TRX nodeNone

πŸ”„ Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
Β» tx_idstringfalsenonenone
Β» amountstringfalsenonenone
» block_numberinteger¦nullfalsenonenone
Β» block_timestampinteger(int64)Β¦nullfalsenonenone
» fromstring¦nullfalsenonenone
» tostring¦nullfalsenonenone
Β» token_symbolstringfalsenonenone
Β» token_decimalsintegerfalsenonenone
» contract_addressstring¦nullfalsenonenone
Β» contract_typestringfalsenonenone
» feeinteger¦nullfalsenonenone
Β» resultstringfalsenonenone
Β» raw_dataobjectfalsenonenone
Β» @timestampstring(date-time)falsenonenone
To perform this operation, you must be authenticated by means of one of the following methods: ApiKeyAuth
Last Updated:: 3/27/26, 2:59 PM
Contributors: support
Prev
πŸ†Ž Block
Next
πŸ‘¨β€πŸ’Ό Account